Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157586 - ES7000 systems won't boot with large configuration
Summary: ES7000 systems won't boot with large configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Brian Maly
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 158812 168429
TreeView+ depends on / blocked
 
Reported: 2005-05-12 21:19 UTC by Natalie Protasevich
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-07 19:01:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Description Natalie Protasevich 2005-05-12 21:19:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.2) Gecko/20040804 Netscape/7.2 (ax)

Description of problem:
ES7000 systems won't boot with large configuration, because of legacy code that enforces I/O APIC ID's to be unique system wide. Unique I/O APIC ID only makes sense with Intel processors older than Xeons, that were utilizing serial APIC bus for interrupt delivery. With front side bus architecture, where I/O APIC IDs are not used, this check is obsolete, and also harmful when tries to re-assign the IDs on systems like ES7000, that employ Intel's P64H2 chipset. The IDs of its I/O APICs  are only 4 bit wide and cannot be assigned unique numbers.
Recently, this issue was discussed on LK, and two patches dealing with it were submitted and accepted in the main line, see http://kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.12-rc4/2.6.12-rc4-mm1/broken-out/:

do-not-enforce-unique-io_apic_id-check-for-xapic-systems-i386.patch
remove-unique-apic-io-apic-id-check.patch - for x86_64

The patches were tested on generic Intel boxes and ES7000, both IA-32 and x86_64. 
Since the patches are critical for our release, and appear to be low risk, we would like them to be included it in your kernel for the next update.

Version-Release number of selected component (if applicable):
2.6.X

How reproducible:
Always

Steps to Reproduce:
1. Boot x86_64 ES7000 that was configured with two cells
2. Watch the screen hang after the initial message
3. 
  

Actual Results:  We used ITP to see the actual problem, or it can also be done with early_printk configured. The system paniced with error message "IOAPIC[12]: Unable change apic_id!"

Expected Results:  The boot should've proceeded normally.

Additional info:

Comment 18 Red Hat Bugzilla 2006-03-07 19:01:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.